import {
	POST
} from './Request.js';
let app = getApp();
let base = app.globalData.url;
//  登录接口
export const userLogin = params => {
	return POST('POST', `${base}/login/userLogin`, params).then(res => res.data);
}
//退出登录
export const logout = params => {
	return POST('POST', `${base}/login/logout`, params).then(res => res.data);
}
//查询数据字典
export const getDictionaryByCodeType = params => {
	return POST('GET', `${base}/common/getDictionaryByCodeType`, params).then(res => res.data);
}
//查询加油站油品
export const getOilPriceListByStore = params => {
	return POST('GET', `${base}/gasOilPrice/getOilPriceListByStore`, params).then(res => res.data);
}
//新增，修改油品
export const editGasOilPrice = params => {
	return POST('POST', `${base}/gasOilPrice/editGasOilPrice`, params).then(res => res.data);
}
//删除加油站油品
export const delOilPrice = params => {
	return POST('POST', `${base}/gasOilPrice/delOilPrice`, params).then(res => res.data);
}
//查询加油站油品详情
export const getOilPriceDetail = params => {
	return POST('GET', `${base}/gasOilPrice/getOilPriceDetail`, params).then(res => res.data);
}
//查询油品油枪列表
export const getGunNoListByOilPrice = params => {
	return POST('GET', `${base}/gasOilGunNo/getGunNoListByOilPrice`, params).then(res => res.data);
}
//增加油枪
export const addGasOilPrice = params => {
	return POST('POST', `${base}/gasOilGunNo/addGasOilPrice`, params).then(res => res.data);
}
//删除油枪
export const delGunNo = params => {
	return POST('POST', `${base}/gasOilGunNo/delGunNo`, params).then(res => res.data);
}
//修改密码
export const sendUserPass = params => {
	return POST('POST', `${base}/secUser/sendUserPass`, params).then(res => res.data);
}
//我的信息
export const getGasStatistical = params => {
	return POST('POST', `${base}/highGas/getGasStatistical`, params).then(res => res.data);
}
//订单列表
export const getGasOrderList = params => {
	return POST('GET', `${base}/highGas/getGasOrderList`, params).then(res => res.data);
}
//订单详情
export const getGasOrderDetail = params => {
	return POST('GET', `${base}/highGas/getGasOrderDetail`, params).then(res => res.data);
}



